# Uses of Class
org.apache.sysds.runtime.controlprogram.WhileProgramBlock

Packages that use WhileProgramBlock
Package
Description
org.apache.sysds.runtime.util

## Uses of WhileProgramBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return WhileProgramBlock
Modifier and Type
Method
Description
`static WhileProgramBlock`
ProgramConverter.`createDeepCopyWhileProgramBlock(WhileProgramBlock wpb, long pid, int IDPrefix, Program prog, Set<String> fnStack, Set<String> fnCreated, boolean plain, boolean forceDeepCopy)`
Methods in org.apache.sysds.runtime.util with parameters of type WhileProgramBlock
Modifier and Type
Method
Description
`static WhileProgramBlock`
ProgramConverter.`createDeepCopyWhileProgramBlock(WhileProgramBlock wpb, long pid, int IDPrefix, Program prog, Set<String> fnStack, Set<String> fnCreated, boolean plain, boolean forceDeepCopy)`